#ifndef MY_ABC_HERE
#define MY_ABC_HERE
#endif
// Copyright (c) 2000-2015 Synology Inc. All rights reserved.
#ifndef _SYNO_CUPS_H
#define _SYNO_CUPS_H
#include <synocore/synotype.h>

#ifdef MY_ABC_HERE
#define cupsdLogMessage(a,b,...) cupsdLogMessage2(a, "[%s:%d] " b, __FILE__, __LINE__, ##__VA_ARGS__)
#define cupsdLogClient(a,b,c,...) cupsdLogClient2(a, b, "[%s:%d] " c, __FILE__, __LINE__, ##__VA_ARGS__)
#define cupsdLogJob(a,b,c,...) cupsdLogJob2(a, b, "[%s:%d] " c, __FILE__, __LINE__, ##__VA_ARGS__)
#endif

/**
 * Open the usb printer device directly.
 * Must be specified as usb:/xxxxx in printer.conf
 */

/**
 * To avoid cupsd change the permission of its spool dir(RequestRoot).
 * => Should stay in 755 for smb and lpd.
 * Because Samba use the same directory, if the permission has been changed
 * to 710, samba will not be able to run and client will core dump.
 * - From USBStation 1
 */
// skip security permission and owner check since we run CUPS as root
// and some filters installed on usbshare(FAT/NTFS) is owned by admin:users


/**
 * Fix Bug #20098:
 * - Set job dirty when cupsdSetJobState()(except purge job)
 *   to insure the new state been saved.
 */

/**
 * Fix Bug
 * Let CUPS be a usbip client
 */

/* Bug #25140 , we should not reponse printer pause to iPhone client */

/* Fix bug #26391, change release lock time */

/* B#59567: extract out log and lock in sighup handler
 */

/* B#60671: fix iOS displays printer not working
 * - delay reload process if exists active jobs
 * - keep RELOAD_ALL flag when processing printing job
 */

/* Fix bug #27539: fix the state reason that would cause job pending */

/* Since version 1.7, cupsd dont accept jobs which encoding is not UTF8 */

#endif /* _SYNO_CUPS_H */
